<template>
  <nuxt-layout>
    <nuxt-page />
  </nuxt-layout>
</template>

<script setup>
import { useI18n } from 'vue-i18n'
const { locale } = useI18n()

useHead({
  htmlAttrs: {
    lang: locale.value,
    dir: locale.value === 'en' ? 'ltr' : 'rtl'
  }
})
</script>

<style>

[dir="rtl"] {
  direction: rtl;
  text-align: right;
}

[dir="ltr"] {
  direction: ltr;
  text-align: left;
}


body {
  font-family: var(--font-primary);
  margin: 0;
  padding: 0;
  transition: all 0.3s ease; 
}
</style>